## pyscanfcs 0.3.6+ds

=== docs/requirements.txt ===
mock
sphinx>=1.6.4
sphinxcontrib.bibtex

## pyscanfcs 0.2.2

=== debian/changelog ===
pyscanfcs (0.2.2-2) unstable; urgency=medium

  * d/compat: 9
  * d/control: bump debhelper's version
  * d/doc-base: doc-base
  * d/control: s/python/Python/
  * cme fix dpkg-control
  * d/patches/wx-migration-tools.patch:  Use wxpy30-update to create a patch
    that enables wxpython3.0
  * d/control: use python-wxgtk3.0
    Closes: #759071

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 08 Sep 2014 10:43:36 +0200

pyscanfcs (0.2.2-1) unstable; urgency=medium

  * Initial release. Closes: #751846

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 17 Jun 2014 15:58:41 +0200

=== debian/control ===
Source: pyscanfcs
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Section: python
Priority: optional
Build-Depends: python-setuptools,
               python-all-dev,
               dh-python,
               debhelper (>= 9),
               cython,
               python-matplotlib,
               python-multipletau,
               python-numpy,
               python-pyfits,
               python-scipy,
               python-wxgtk3.0,
               imagemagick,
               librsvg2-bin,
               texlive-science,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-fonts-recommended,
               texlive-bibtex-extra
Standards-Version: 3.9.5
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pyscanfcs.git
Vcs-Git: git://anonscm.debian.org/debian-med/pyscanfcs.git
Homepage: http://pyscanfcs.craban.de

Package: pyscanfcs
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: scientific tool for perpendicular line scanning FCS
 When a membrane is scanned perpendicularly to its surface, 
 the fluorescence signal originating from the membrane itself 
 must be separated from the signal of the surrounding medium for 
 an FCS analysis. PyScanFCS interactively extracts the fluctuating 
 fluorescence signal from such measurements and applies a multiple-tau 
 algorithm. The obtained correlation curves can be evaluated using PyCorrFit.
 .
 Package provides the Python module pyscanfcs and its graphical user interface.
 The graphical user interface is written in wxPython.

=== debian/rules ===
#!/usr/bin/make -f

TEXDOC=PyScanFCS_doc.tex
DOCDIR=doc
BIBDOC=PyScanFCS_doc.aux
PDF=PyScanFCS_doc.pdf

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
	cd $(DOCDIR) && bibtex $(BIBDOC)
	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
	rm -f $(PDF); ln -s $(DOCDIR)/$(PDF)
	convert -background "rgba(255,255,255,0)" -geometry 32x32 \
		$(DOCDIR)/Images/PyScanFCS_icon.svg debian/pyscanfcs.xpm
	dh_auto_build

override_dh_install:
	dh_install
	mv debian/pyscanfcs.xpm \
		debian/$(pkg)/usr/share/pixmaps
	chmod -R 644 debian/$(pkg)/usr/share/doc/$(pkg)/examples/misc
	rm -f debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs_doc/ChangeLog.txt
	rm -f debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs_doc/$(PDF)
	ln -s /usr/share/doc/pyscanfcs/ChangeLog.txt debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs_doc/ChangeLog.txt 
	ln -s /usr/share/doc/pyscanfcs/$(PDF) debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs_doc/$(PDF) 

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs/SFCSnumeric.pyx

override_dh_compress:
	dh_compress -X$(PDF)

## pyscanfcs 0.2.3

=== debian/changelog ===
pyscanfcs (0.2.3-3) unstable; urgency=medium

  * Team upload.
  * replace pyfits by astropy.io.fits (thanks for the patch to Ole Streicher
    <olebole@debian.org>)
    Closes: #844085
  * cme fix dpkg-control
  * d/watch: version=4
  * debhelper 10
  * Remove menu file
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2016 17:30:13 +0100

pyscanfcs (0.2.3-2) unstable; urgency=medium

  * upload to unstable

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 29 Apr 2015 15:27:44 +0200

pyscanfcs (0.2.3-1) experimental; urgency=medium

  * Imported Upstream version 0.2.3
  * d/rules: avoid downloading of documentation during clean stage 
  * d/patches: removed old patches

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 18 Feb 2015 13:37:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: python-setuptools,
                python-all-dev,
                dh-python,
-               debhelper (>= 9),
+               debhelper (>= 10),
                cython,
                python-matplotlib,
                python-multipletau,
                python-numpy,
-               python-pyfits,
+               python-astropy,
                python-scipy,
                python-wxgtk3.0,
                imagemagick,
@@ -21,9 +21,9 @@
                texlive-latex-recommended,
                texlive-fonts-recommended,
                texlive-bibtex-extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pyscanfcs.git
-Vcs-Git: git://anonscm.debian.org/debian-med/pyscanfcs.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/pyscanfcs.git
 Homepage: http://pyscanfcs.craban.de
 
 Package: pyscanfcs

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,16 @@
 BIBDOC=PyScanFCS_doc.aux
 PDF=PyScanFCS_doc.pdf
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 
 %:
 	dh $@ --with python2 --buildsystem=pybuild
+
+override_dh_auto_clean:
+	touch doc/PyScanFCS_doc.pdf
+	dh_auto_clean
 
 override_dh_auto_build:
 	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyscanfcs-$1\.tar\.gz/ \
  https://github.com/paulmueller/PyScanFCS/tags .*/v?(\d\S*)\.tar\.gz

## pyscanfcs 0.2.3+ds

=== debian/changelog ===
pyscanfcs (0.2.3+ds-1) unstable; urgency=medium

  * Update d/watch, due to stripped components repack with +ds suffix
  * New upstream version 0.2.3+ds, Closes: #883762
  * Refresh d/Use-Astropy-in-place-of-Pyfits.patch, don't patch removed files
  * Add lintian-overrides for typos in lib, reported to upstream
  * Bump Standards-Version to 4.1.2

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 07 Dec 2017 16:16:09 +0100

pyscanfcs (0.2.3-5) unstable; urgency=medium

  * Add freeze_pyinstaller to Files-Excluded section id d/copyright
  * Enable autopkgtest, Closes:  #879617

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 30 Oct 2017 20:39:44 +0100

pyscanfcs (0.2.3-4) unstable; urgency=medium

  * Update d/copyright: add Files-Excluded section, update Source URL
  * Update d/rules, make build reproducible
  * Add faketime to Build-Depends, bump Standards-Version to 4.1.1,
    update Homepage
  * Update Use-Astropy-in-place-of-Pyfits.patch, forward patch to upstream

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 21 Oct 2017 00:52:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: python-setuptools,
                python-all-dev,
                dh-python,
+               faketime,
                debhelper (>= 10),
                cython,
                python-matplotlib,
@@ -21,10 +22,10 @@
                texlive-latex-recommended,
                texlive-fonts-recommended,
                texlive-bibtex-extra
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pyscanfcs.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/pyscanfcs.git
-Homepage: http://pyscanfcs.craban.de
+Homepage: https://fcs-analysis.github.io/PyScanFCS/
 
 Package: pyscanfcs
 Architecture: any
@@ -32,11 +33,11 @@
          ${python:Depends},
          ${shlibs:Depends}
 Description: scientific tool for perpendicular line scanning FCS
- When a membrane is scanned perpendicularly to its surface, 
- the fluorescence signal originating from the membrane itself 
- must be separated from the signal of the surrounding medium for 
- an FCS analysis. PyScanFCS interactively extracts the fluctuating 
- fluorescence signal from such measurements and applies a multiple-tau 
+ When a membrane is scanned perpendicularly to its surface,
+ the fluorescence signal originating from the membrane itself
+ must be separated from the signal of the surrounding medium for
+ an FCS analysis. PyScanFCS interactively extracts the fluctuating
+ fluorescence signal from such measurements and applies a multiple-tau
  algorithm. The obtained correlation curves can be evaluated using PyCorrFit.
  .
  Package provides the Python module pyscanfcs and its graphical user interface.

=== debian/rules ===
#!/usr/bin/make -f

TEXDOC = PyScanFCS_doc.tex
DOCDIR = doc
BIBDOC = PyScanFCS_doc.aux
PDF = PyScanFCS_doc.pdf
# see https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
DEB_DATE_RFC_2822 := $(shell dpkg-parsechangelog -S date)
DEB_DATE_RFC_3339 := $(shell date -u "--rfc-3339=seconds" -d "$(DEB_DATE_RFC_2822)")
PDFLATEX = pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
FAKETIME = faketime -f "$(DEB_DATE_RFC_3339)"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

pkg := pyscanfcs

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_clean:
	touch doc/PyScanFCS_doc.pdf
	dh_auto_clean

override_dh_auto_build:
	cd $(DOCDIR) && \
	(   $(FAKETIME) $(PDFLATEX) \
		bibtex $(BIBDOC) \
		$(FAKETIME) $(PDFLATEX) \
		$(FAKETIME) $(PDFLATEX) \
	)
	rm -f $(PDF); ln -s $(DOCDIR)/$(PDF)
	convert -background "rgba(255,255,255,0)" -geometry 32x32 \
		$(DOCDIR)/Images/PyScanFCS_icon.svg debian/pyscanfcs.xpm
	dh_auto_build

override_dh_install:
	dh_install
	mv debian/pyscanfcs.xpm \
		debian/$(pkg)/usr/share/pixmaps
	chmod -R 644 debian/$(pkg)/usr/share/doc/$(pkg)/examples/misc
	rm -f debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs_doc/ChangeLog.txt
	rm -f debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs_doc/$(PDF)
	ln -s /usr/share/doc/pyscanfcs/ChangeLog.txt debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs_doc/ChangeLog.txt
	ln -s /usr/share/doc/pyscanfcs/$(PDF) debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs_doc/$(PDF)

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs/SFCSnumeric.pyx

override_dh_compress:
	dh_compress -X$(PDF)

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import pyscanfcs; print pyscanfcs" ; done
Depends: python-all, pyscanfcs
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyscanfcs-$1\.tar\.gz/,\
dversionmangle=s/\+ds(\.\d+)?$//,repacksuffix=+ds,repack,compression=xz \
  https://github.com/paulmueller/PyScanFCS/tags .*/v?(\d\S*)\.tar\.gz

## pyscanfcs 0.3.2+ds

=== debian/changelog ===
pyscanfcs (0.3.2+ds-2) unstable; urgency=medium

  * Team upload.
  * No change rebuild with Python 3.7 as the only supported Python 3 version
    to workaround #916907.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 20 Dec 2018 13:17:24 +0100

pyscanfcs (0.3.2+ds-1) unstable; urgency=medium

  * New upstream version 0.3.2+ds <=> 0.3.1~gitd295b59+ds-1
  * Upload to unstable
  * Fix dversionmangle in d/watch

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 11 Dec 2018 09:33:28 +0000

pyscanfcs (0.3.1~gitd295b59+ds-1) experimental; urgency=medium

  * New upstream version 0.3.1~gitd295b59+ds
  * Update Files-Excluded in d/copyright
  * Drop patches which are parts of the release
  * Update d/rules, remove not needed override_dh_fixperms
  * Update d/watch, s/dfsg/ds/ for the suffix

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 29 Nov 2018 19:58:53 +0000

pyscanfcs (0.3.0+dfsg-2) experimental; urgency=medium

  * Add patch presumably fixing test failures on big-endian archs

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 28 Nov 2018 17:47:12 +0000

pyscanfcs (0.3.0+dfsg-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Added new d/u/metadata file

  [ Alexandre Mestiashvili ]
  * Update Files-Excluded list in d/copyright
  * New upstream version 0.3.0+dfsg, Closes: #886634
  * Drop patches applied by upstream
  * Add patch fixing "module 'pyscanfcs' has no attribute 'Main'" issue
  * d/control:
    - bump policy 4.1.4
    - bump compat to level 11
    - update VCS-* fields to salsa
    - update build-deps, use python3 modules
    - update uploader's email
  * d/rules:
    - use python3
    - cleanup dh_install target
    - archive and install tests to examples
    - move and symlink start script
    - tweak pybuild flags to install to a private dir
  * Update d/pyscanfcs.docs
  * Update d/source/options, ignore pyscanfcs/_version_save.py
  * Use upstream tests for autopkgtests

 -- Alexandre Mestiashvili <mestia@debian.org>  Mon, 01 Oct 2018 09:36:31 +0000

pyscanfcs (0.2.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Repack upstream source + adapt quilt patch
    Closes: #883762
  * d/watch: version-mangle according to repackaging

 -- Andreas Tille <tille@debian.org>  Thu, 07 Dec 2017 16:16:46 +0100

=== debian/control ===
Source: pyscanfcs
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <mestia@debian.org>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper (>= 11),
               dh-python,
               faketime,
               imagemagick,
               librsvg2-bin,
               python3-all-dev,
               python3-astropy,
               python3-matplotlib,
               python3-multipletau,
               python3-numpy,
               python3-pytest-runner,
               python3-scipy,
               python3-setuptools,
               python3-skimage,
               python3-wxgtk4.0,
               texlive-bibtex-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-science
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/pyscanfcs
Vcs-Git: https://salsa.debian.org/med-team/pyscanfcs.git
Homepage: https://fcs-analysis.github.io/PyScanFCS/

Package: pyscanfcs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: scientific tool for perpendicular line scanning FCS
 When a membrane is scanned perpendicularly to its surface,
 the fluorescence signal originating from the membrane itself
 must be separated from the signal of the surrounding medium for
 an FCS analysis. PyScanFCS interactively extracts the fluctuating
 fluorescence signal from such measurements and applies a multiple-tau
 algorithm. The obtained correlation curves can be evaluated using PyCorrFit.
 .
 Package provides the Python module pyscanfcs and its graphical user interface.
 The graphical user interface is written in wxPython.

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,16 @@
 PDFLATEX = pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
 FAKETIME = faketime -f "$(DEB_DATE_RFC_3339)"
 
+pkg := pyscanfcs
+export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export PYBUILD_NAME=$(pkg)
+export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/lib/${PYBUILD_NAME}
+export PYBUILD_TEST_PYTEST=1
 
-pkg := pyscanfcs
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	touch doc/PyScanFCS_doc.pdf
@@ -35,17 +39,21 @@
 
 override_dh_install:
 	dh_install
+	mv $(CURDIR)/debian/$(pkg)/usr/bin/pyscanfcs \
+           $(CURDIR)/debian/$(pkg)/usr/lib/$(pkg)/pyscanfcs_run
+	cd $(CURDIR)/debian/$(pkg)/usr/bin/; \
+        ln -s ../lib/$(pkg)/pyscanfcs_run pyscanfcs; cd -
 	mv debian/pyscanfcs.xpm \
 		debian/$(pkg)/usr/share/pixmaps
 	chmod -R 644 debian/$(pkg)/usr/share/doc/$(pkg)/examples/misc
-	rm -f debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs_doc/ChangeLog.txt
-	rm -f debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs_doc/$(PDF)
-	ln -s /usr/share/doc/pyscanfcs/ChangeLog.txt debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs_doc/ChangeLog.txt
-	ln -s /usr/share/doc/pyscanfcs/$(PDF) debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs_doc/$(PDF)
-
-override_dh_fixperms:
-	dh_fixperms
-	chmod 644 debian/$(pkg)/usr/lib/python2.7/dist-packages/pyscanfcs/SFCSnumeric.pyx
 
 override_dh_compress:
 	dh_compress -X$(PDF)
+
+override_dh_installexamples:
+	tar --sort=name \
+            --mtime="@${SOURCE_DATE_EPOCH}" \
+            --owner=root --group=root --numeric-owner \
+            --mode=go=rX,u+rw,a-s \
+            -cJf $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)/examples/tests.tar.xz  tests/
+	dh_installexamples

## pyscanfcs 0.3.5%2Bds

=== debian/changelog ===
pyscanfcs (0.3.5+ds-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:21:15 +0100

pyscanfcs (0.3.5+ds-1) unstable; urgency=medium

  * New upstream version 0.3.5+ds
  * Update maintainers email address in d/copyright
  * Update d/control, use debhelper-compat, drop d/compat, bump Policy to 4.4.0
  * Run latex, bibtex, latex, latex mantra sequentially
  * Run latex twice before bibtex to solve problem with unresolved references
  * Respect 'nocheck' in DEB_BUILD_OPTIONS

 -- Alexandre Mestiashvili <mestia@debian.org>  Mon, 09 Sep 2019 11:50:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,9 @@
 export PYBUILD_NAME=$(pkg)
 export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/lib/${PYBUILD_NAME}
 export PYBUILD_TEST_PYTEST=1
-
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+        export PYBUILD_TEST_PYTEST=0
+endif
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -27,11 +29,11 @@
 
 override_dh_auto_build:
 	cd $(DOCDIR) && \
-	(   $(FAKETIME) $(PDFLATEX) \
-		bibtex $(BIBDOC) \
-		$(FAKETIME) $(PDFLATEX) \
-		$(FAKETIME) $(PDFLATEX) \
-	)
+	$(FAKETIME) $(PDFLATEX) \
+	$(FAKETIME) $(PDFLATEX) && \
+	bibtex $(BIBDOC) && \
+	$(FAKETIME) $(PDFLATEX) && \
+	$(FAKETIME) $(PDFLATEX)
 	rm -f $(PDF); ln -s $(DOCDIR)/$(PDF)
 	convert -background "rgba(255,255,255,0)" -geometry 32x32 \
 		$(DOCDIR)/Images/PyScanFCS_icon.svg debian/pyscanfcs.xpm

## pyscanfcs 0.3.5+ds

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: cython3,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                dh-python,
                faketime,
                imagemagick,
@@ -24,14 +24,16 @@
                texlive-latex-extra,
                texlive-latex-recommended,
                texlive-science
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/pyscanfcs
 Vcs-Git: https://salsa.debian.org/med-team/pyscanfcs.git
 Homepage: https://fcs-analysis.github.io/PyScanFCS/
 
 Package: pyscanfcs
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Description: scientific tool for perpendicular line scanning FCS
  When a membrane is scanned perpendicularly to its surface,
  the fluorescence signal originating from the membrane itself

=== debian/tests/control ===
Tests: upstream-tests
Restrictions: allow-stderr
Depends: @, python3-pytest

## pyscanfcs 0.3.6%2Bds

=== debian/rules ===
#!/usr/bin/make -f

TEXDOC = PyScanFCS_doc.tex
DOCDIR = doc
BIBDOC = PyScanFCS_doc.aux
PDF = PyScanFCS_doc.pdf
# see https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
include /usr/share/dpkg/default.mk
DEB_DATE_RFC_3339 := $(shell date -u "--rfc-3339=seconds" --date="@$(SOURCE_DATE_EPOCH)")
PDFLATEX = pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
FAKETIME = faketime -f "$(DEB_DATE_RFC_3339)"

pkg := pyscanfcs
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=$(DEB_SOURCE)
export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/lib/${PYBUILD_NAME}
export PYBUILD_TEST_PYTEST=1
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
        export PYBUILD_TEST_PYTEST=0
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache
	rm -f doc/PyScanFCS_doc.pdf doc/PyScanFCS_doc.synctex.gz doc/PyScanFCS_doc.pdf debian/pyscanfcs.xpm PyScanFCS_doc.pdf
	rm -f doc/PyScanFCS_doc.aux doc/PyScanFCS_doc.bbl doc/PyScanFCS_doc.blg doc/PyScanFCS_doc.log doc/PyScanFCS_doc.toc doc/PyScanFCS_doc_content.aux pyscanfcs/bin_pe.c

override_dh_clean:
	dh_clean
	rm -f pyscanfcs/_version_save.py

override_dh_auto_build:
	cd $(DOCDIR) && \
	$(FAKETIME) $(PDFLATEX) \
	$(FAKETIME) $(PDFLATEX) && \
	bibtex $(BIBDOC) && \
	$(FAKETIME) $(PDFLATEX) && \
	$(FAKETIME) $(PDFLATEX)
	rm -f $(PDF); ln -s $(DOCDIR)/$(PDF)
	convert -background "rgba(255,255,255,0)" -geometry 32x32 \
		$(DOCDIR)/Images/PyScanFCS_icon.svg debian/pyscanfcs.xpm
	dh_auto_build

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/pyscanfcs \
           $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/pyscanfcs_run
	cd $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/; \
        ln -s ../lib/$(DEB_SOURCE)/pyscanfcs_run pyscanfcs; cd -
	mv debian/pyscanfcs.xpm debian/$(DEB_SOURCE)/usr/share/pixmaps
	chmod -x debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/misc/*

override_dh_compress:
	dh_compress -X$(PDF)

override_dh_installexamples:
	tar --sort=name \
            --mtime="@${SOURCE_DATE_EPOCH}" \
            --owner=root --group=root --numeric-owner \
            --mode=go=rX,u+rw,a-s \
            -cJf $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/tests.tar.xz  tests/
	dh_installexamples

## pyscanfcs 0.3.6+ds

=== debian/changelog ===
pyscanfcs (0.3.6+ds-5) unstable; urgency=medium

  * Team upload.
  * d/rules: invoke dh_numpy3 to specify ABI compatibility. (Closes: #1095282)
  * numpy-2.0.patch: new: fix overflow issue raised by numpy 2.0.
    (Closes: #1095368)
  * d/rules: adjust python3 shebang for _version*.py.
  * d/u/metadata: reference upstream repository.
  * d/control: declare compliance to standards version 4.7.0.
  * do-not-use-utf8x.patch: patch forwarded upstream.

 -- Étienne Mollier <emollier@debian.org>  Sat, 08 Feb 2025 20:05:05 +0100

pyscanfcs (0.3.6+ds-4) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with latex not parsing
    unicode in a source file in pyscanfs doc (Closes: #1016342)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 07 Aug 2022 01:19:10 +0530

pyscanfcs (0.3.6+ds-3) unstable; urgency=medium

  * Team upload
  * Build-Depends: python3-dev instead of python3-all-dev to
    avoid building the extension for all supported versions when
    only the default is used (Closes: #916907)
  * Bump Standards-Version to 4.6.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 21 Jul 2022 20:00:35 +0000

pyscanfcs (0.3.6+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix installation
    Closes: #964108
  * Section: s/python/science/
  * DEP3

 -- Andreas Tille <tille@debian.org>  Thu, 02 Jul 2020 13:09:39 +0200

pyscanfcs (0.3.6+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Standards-Version: 4.4.1
  * Do not parse d/changelog
  * Set upstream metadata fields: Bug-Database.
  * Unify test script with other tests in Debian Med

  [ Steffen Moeller ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * Better clean, don't download .pdf

 -- Steffen Moeller <moeller@debian.org>  Tue, 30 Jun 2020 00:31:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: pyscanfcs
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Alexandre Mestiashvili <mestia@debian.org>
-Section: python
+Section: science
 Priority: optional
 Build-Depends: cython3,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                faketime,
                imagemagick,
                librsvg2-bin,
-               python3-all-dev,
+               python3-dev,
                python3-astropy,
                python3-matplotlib,
                python3-multipletau,
@@ -18,16 +18,18 @@
                python3-scipy,
                python3-setuptools,
                python3-skimage,
+               python3-tifffile,
                python3-wxgtk4.0,
                texlive-bibtex-extra,
                texlive-fonts-recommended,
                texlive-latex-extra,
                texlive-latex-recommended,
                texlive-science
-Standards-Version: 4.4.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/pyscanfcs
 Vcs-Git: https://salsa.debian.org/med-team/pyscanfcs.git
 Homepage: https://fcs-analysis.github.io/PyScanFCS/
+Rules-Requires-Root: no
 
 Package: pyscanfcs
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,13 @@
 	convert -background "rgba(255,255,255,0)" -geometry 32x32 \
 		$(DOCDIR)/Images/PyScanFCS_icon.svg debian/pyscanfcs.xpm
 	dh_auto_build
+	# Provide an usual interpreter.
+	sed -i '1s@^#!/usr/bin/env python$$@#!/usr/bin/python3@' \
+		pyscanfcs/_version_save.py \
+		pyscanfcs/_version.py
 
 override_dh_install:
+	dh_numpy3
 	dh_install
 	mv $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/pyscanfcs \
            $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/pyscanfcs_run

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,repacksuffix=+ds,dversionmangle=s/\+ds//g,repack,compression=xz" \
  https://github.com/paulmueller/PyScanFCS/tags .*/v?(\d\S*)\.tar\.gz
